%define major	8
%define libname	%mklibname nfs %major
%define devname	%mklibname nfs -d

Name:		libnfs
Version:	1.11.0
Release:	%mkrel 1
Summary:	Client library for accessing NFS shares over a network
License:	LGPLv2+ and BSD
Group:		System/Libraries
URL:		https://github.com/sahlberg/libnfs
Source0:	https://github.com/sahlberg/libnfs/archive/libnfs-%version.tar.xz
BuildRequires:	python

%description
The libnfs package contains a library of functions for accessing NFSv2
and NFSv3 servers from user space. It provides a low-level, asynchronous
RPC library for accessing NFS protocols, an asynchronous library with
POSIX-like VFS functions, and a synchronous library with POSIX-like VFS
functions.

%package -n %libname
Summary:	Shared library of libnfs
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the library needed to run programs dynamically
linked with libnfs.

%package -n %devname
Summary:	Development files for libnfs
Group:		Development/Libraries
License:	LGPLv2+ and BSD and GPLv3+
Requires:	%libname = %version
Provides:	nfs-devel = %version-%release
Provides:	libnfs-devel = %version-%release

%description -n %devname
The %devname package contains libraries and header files for
developing applications that use libnfs.

%package utils
Summary:	Utilities for accessing NFS servers
License:	GPLv3+
Group:		Networking/Other
Requires:	%libname = %version

%description utils
The libnfs-utils package contains simple client programs for accessing
NFS servers using libnfs.

%prep
%setup -q -n libnfs-libnfs-%version

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%files -n %libname
%{_libdir}/*.so.%{major}*
%doc README COPYING LICENCE-*.txt

%files -n %devname
%{_libdir}/libnfs.so
%{_includedir}/nfsc/
%{_libdir}/pkgconfig/libnfs.pc
%doc examples/*.c

%files utils
%{_bindir}/nfs-*
%{_mandir}/man1/nfs-*.1*


%changelog
* Thu Aug 31 2017 adrianomorselli <adrianomorselli> 1.11.0-1uplos2017
- update
